#[PANDASQUEEZE] PandaModules
import ihooks,zlib,marshal,os,sys

import pandac

def searchPath(filename):
  # Look along pandac.__path__ for the indicated filename.  Returns
  # the located pathname, or None if the filename is not found.
  for dir in pandac.__path__:
    pathname = os.path.join(dir, filename)
    if os.path.exists(pathname):
      return pathname

  return None

# Look for PandaModules.pyz along pandac.__path__.
archiveName = "PandaModules.pyz"
archivePath = searchPath(archiveName)
if archivePath == None:
  raise ImportError, "Could not locate pandac.%s." % (archiveName)

f=open(archivePath,"rb")
exec marshal.loads(zlib.decompress(f.read(1042)))
boot("PandaModules",f,1694878)
exec "from PandaModulesUnsqueezed import *"
#exec "run()"
